<?php

namespace App\Services;

use Illuminate\Support\Facades\Http;

class GeocodingService
{
    protected $apiKey;

    public function __construct()
    {
        $this->apiKey = config('services.google_maps.api_key');
    }

    public function getCoordinates($address)
    {
        $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
            'address' => $address,
            'key' => $this->apiKey,
        ]);

        if ($response->successful() && $response->json('status') == 'OK') {
            $location = $response->json('results.0.geometry.location');
            return [
                'address' => $address,
                'lat' => $location['lat'],
                'lng' => $location['lng'],
            ];
        }

        throw new \Exception('Unable to geocode address');
    }
}
