<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('order_number')->unique();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->float('sub_total');
            $table->unsignedBigInteger('shipping_id')->nullable();
            $table->float('coupon')->nullable();
            $table->float('total_amount');
            $table->integer('quantity');
            $table->enum('payment_method',['cod','paypal'])->default('cod');
            $table->enum('delivery_method',['uber','pickup'])->default('uber');
            $table->enum('payment_status',['paid','unpaid'])->default('unpaid');
            $table->enum('status',['new','process','delivered','cancel'])->default('new');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('SET NULL');
            $table->foreign('shipping_id')->references('id')->on('shippings')->onDelete('SET NULL');
            $table->string('first_name');
            $table->string('last_name')->nullable();
            $table->string('email');
            $table->string('phone');
            $table->unsignedBigInteger('country')->references('id')->on('Country')->onDelete('SET NULL');
            $table->string('post_code')->nullable();
            $table->text('address1')->nullable();
            $table->text('address2')->nullable();
            $table->string('delivery_id')->nullable();
            $table->string('delivery_quote_id')->nullable();
            $table->float('delivery_fee')->nullable();
            $table->unsignedBigInteger('state')->references('id')->on('State')->onDelete('SET NULL');
            $table->unsignedBigInteger('city')->references('id')->on('Citie')->onDelete('SET NULL');
            $table->string('zip_code')->nullable();
            $table->string('tracking_url')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
