<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('states', function (Blueprint $table) {
            // $table->id();
            // $table->string('name')->nullable();
            // // $table->unsignedInteger('country_id')->index();
            // $table->foreignId('country_id')->constrained('countries')->onDelete('cascade')->onUpdate('cascade')->nullable();
            // $table->string('country_code')->nullable();
            // $table->string('fips_code')->nullable()->nullable();
            // $table->string('iso2')->nullable();
            // $table->string('latitude')->nullable();
            // $table->string('longitude')->nullable();
            // $table->timestamps();
            // $table->boolean('flag')->default(0);
            // $table->text('wikiDataId')->nullable();

            $table->id(); // This creates an auto-incrementing bigint(20) UNSIGNED NOT NULL `id` column.
            $table->bigInteger('country_id')->unsigned()->index();
            $table->string('name', 191)->collation('utf8mb4_unicode_ci');
            $table->timestamps(); // This creates `created_at` and `updated_at` columns with the desired structure.

            $table->foreign('country_id')->references('id')->on('countries'); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('states');
    }
}
