<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;

class CountriesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0');

        DB::table('countries')->truncate();

        $sqlFile = base_path('public/assets/sql/countries.sql');

        if (File::exists($sqlFile)) {
            $sql = File::get($sqlFile);
            DB::unprepared($sql);
        } else {
            $this->command->error("SQL file not found: $sqlFile");
        }

        DB::statement('SET FOREIGN_KEY_CHECKS=1');
    }
}
