<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Schema;

class StatesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0');

        DB::table('states')->truncate();

        $sqlFile = base_path('public/assets/sql/states.sql');

        if (File::exists($sqlFile)) {
            $sql = File::get($sqlFile);
            DB::unprepared($sql);
        } else {
            $this->command->error("SQL file not found: $sqlFile");
        }
        DB::statement('SET FOREIGN_KEY_CHECKS=1');
    }
}
