<!DOCTYPE html>
<html>
<head>
  <title>Shipping Label @if($order) - {{$order->order_number}} @endif</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <style>
    .shipping-label {
      width: 300px;
      height: auto;
      border: 1px solid #000;
      padding: 10px;
      margin: 10px auto;
      box-shadow: 0 4px 8px rgba(0,0,0,0.1);
      border-radius: 5px;
      font-family: Arial, sans-serif;
    }
    .shipping-label h4 {
      margin-bottom: 5px;
      font-size: 16px;
    }
    .address, .order-details {
      font-size: 10px;
      line-height: 1.2;
    }
    .barcode {
      margin-top: 5px;
      text-align: center;
    }
    .divider {
      border-top: 1px solid #ccc;
      margin: 5px 0;
    }
    .invoice-header, .invoice-footer {
      text-align: center;
      margin-bottom: 5px;
    }
    .invoice-header img {
      max-width: 80px;
      margin-bottom: 5px;
    }
  </style>
</head>
<body>
@if($order)
  <div class="shipping-label">
    {{-- <div class="invoice-header">
        @php
            $settings = DB::table('settings')->first();
        @endphp
      <p>Phone: <a href="tel:{{ env('APP_PHONE') }}">{{ env('APP_PHONE') }}</a></p>
      <p>Email: <a href="mailto:{{ env('APP_EMAIL') }}">{{ env('APP_EMAIL') }}</a></p>
    </div>
    <div class="divider"></div> --}}
    <div class="invoice-description">
      <div class="address">
        <h6>To:</h6>
        <p>Name: {{ $order->first_name }} {{ $order->last_name }}</p>
        <p>Phone: {{ $order->phone }}</p>
        <p>Email: {{ $order->email }}</p>
        <p>Address-1: {{ $order->address1 }} @if($order->address2) OR {{ $order->address2 }} @endif</p>
        {{-- <p>Address-2: {{ $order->city }}, {{ $order->state }} {{ $order->zip }}</p>
        <p>Country: {{ $order->country }}</p> --}}
      </div>
      <div class="barcode" style="height: 50px; overflow: hidden;">
        <div style="transform: scale(0.5); transform-origin: 0 0;">
          {!! DNS1D::getBarcodeHTML($order->order_number, 'C39') !!}
        </div>
        <p>Order: {{ $order->order_number }}</p>
      </div>

    </div>
    <div class="divider"></div>
    <div class="order-details">
      <h6>Order Details:</h6>
      <table class="table table-bordered table-sm">
        <thead>
          <tr>
            <th>Product</th>
            <th>Qty</th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
        @foreach($order->cart_info as $cart)
          @php
            $product = DB::table('products')->select('title')->where('id', $cart->product_id)->get();
          @endphp
          <tr>
            <td>
              @foreach($product as $pro)
                {{ $pro->title }}
              @endforeach
            </td>
            <td>x{{ $cart->quantity }}</td>
            <td>${{ number_format($cart->price, 2) }}</td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
          <tr>
            <td colspan="2" class="text-right">Subtotal:</td>
            <td>${{ number_format($order->sub_total, 2) }}</td>
          </tr>
          <tr>
            <td colspan="2" class="text-right">Shipping:</td>
            <td>${{ number_format($order->delivery_fee, 2) }}</td>
          </tr>
          <tr>
            <td colspan="2" class="text-right">Total:</td>
            <td>${{ number_format($order->total_amount, 2) }}</td>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class="invoice-footer">
      <h4>Thank you for your business!</h4>
    </div>
  </div>
@else
  <h5 class="text-danger">Invalid Order</h5>
@endif
</body>
</html>
