@extends('backend.layouts.master')

@section('title','Order Detail')

@section('main-content')
<div class="card">
<h5 class="card-header">Order       
    {{-- <a href="{{route('order.pdf',$order->id)}}" class=" btn btn-sm btn-primary shadow-sm float-right"><i class="fas fa-download fa-sm text-white-50"></i> Generate PDF</a> --}}
</h5>
  <div class="card-body">
    <div class="row">
        <div class="col-md-6 input-group mb-3">
            <input type="text" class="form-control" id="trackNumber" placeholder="Enter Tracking Number">
            <div class="input-group-append">
              <button class="btn btn-primary" id="track" type="button">Track Order</button>
              {{-- <button class="btn btn-danger" type="button">Cancel</button> --}}
            </div>
          </div>
    </div>
    

    <section class="confirmation_part section_padding d-none">
      <div class="order_boxes">
        <div class="row">
          <div class="col-lg-6 col-lx-4">
            <div class="order-info">
              <h4 class="text-center pb-4">ORDER INFORMATION</h4>
              <div class="d-flex justify-content-center" id="loader">
                
              </div>
              <table class="table">
                <thead>
                    <tr>
                        <th style="display: none;"></th>
                        <th style="display: none;"></th>
                    </tr>
                </thead>
                    <tbody class="tbody">

                    </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </section>

  </div>
</div>
@endsection

@push('styles')
<style>
    .order-info,.shipping-info{
        background:#ECECEC;
        padding:20px;
    }
    .order-info h4,.shipping-info h4{
        text-decoration: underline;
    }

</style>
@endpush

@push('scripts')

    <script>
        $(document).ready(function(){
            $('#track').click(function(){
                $('.tbody').empty();
                $("#loader").html(`<div class="spinner-border" role="status">
                  <span class="sr-only">Loading...</span>
                </div>`);
                $('.confirmation_part').removeClass('d-none');
                let id=$('#trackNumber').val()?.trim();
                $.ajax({
                    url:`/deliveries/${id}`,
                    type:"get",
                    dataType:"json",
                    success:(data)=>{
                        if(data){
                            let table=`<tr>
                                            <td>Status</td>
                                            <td>${data?.status}</td>
                                        </tr>
                                        <tr>
                                            <td>Dropoff Deadline</td>
                                            <td>${data?.dropoff_deadline}</td>
                                        </tr>
                                        <tr>
                                            <td>Name</td>
                                            <td>${data?.dropoff?.name}</td>
                                        </tr>
                                        <tr>
                                            <td>Phone</td>
                                            <td>${data?.dropoff?.phone_number}</td>
                                        </tr>
                                        <tr>
                                            <td>Street Address</td>
                                            <td>${data?.dropoff?.detailed_address?.street_address_1}</td>
                                        </tr>
                                        <tr>
                                            <td>Zip Code</td>
                                            <td>${data?.dropoff?.detailed_address?.zip_code}</td>
                                        </tr>
                                        <tr>
                                            <td>City</td>
                                            <td>${data?.dropoff?.detailed_address?.city}</td>
                                        </tr>
                                        <tr>
                                            <td>State</td>
                                            <td>${data?.dropoff?.detailed_address?.state}</td>
                                        </tr>
                                        <tr>
                                            <td>Country</td>
                                            <td>${data?.dropoff?.detailed_address?.country}</td>
                                        </tr>
                                        <tr>
                                            <td>Track Order</td>
                                            <td><a class="btn btn-info" href="${data?.tracking_url}" target="_blank">Click</a></td>
                                        </tr>
                                        `;
                            $('.tbody').html(table);
                        }else{
                            $('.tbody').html(`<tr>
                                <td console="2">No Data found!</td>
                            </tr>`);
                            
                        }
                        $("#loader").empty();
                    }
                })
            })
        })
    </script>

@endpush