@extends('backend.layouts.master')

@section('main-content')

<div class="card">
    <h5 class="card-header">Edit Post</h5>
    <div class="card-body">
    <form method="post" action="{{route('settings.update')}}">
        @csrf
        <div class="row">
          <div class="col-md-6">

            <div class="form-group">
              <label for="store_name" class="col-form-label">Store Name <span class="text-danger">*</span></label>
              <input type="text" class="form-control" name="store_name" required value="{{$data?->store_name}}">
              @error('store_name')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
              <label for="business_name" class="col-form-label">Business Name<span class="text-danger">*</span></label>
              <input type="text" class="form-control" name="business_name" required value="{{$data?->business_name}}">
              @error('business_name')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
              <label for="email" class="col-form-label">Email <span class="text-danger">*</span></label>
              <input type="email" class="form-control" name="email" required value="{{$data?->email}}">
              @error('email')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
              <label for="phone" class="col-form-label">Phone Number <span class="text-danger">*</span></label>
              <input type="text" class="form-control" name="phone" required value="{{$data?->phone}}">
              @error('phone')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
              <label for="address" class="col-form-label">Address <span class="text-danger">*</span></label>
              <input type="text" class="form-control" name="address" required value="{{$data?->address}}">
              @error('address')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="country" class="col-form-label">Countries</label>
              <select id="country" name="country" class="form-control">
                <option value="">Select Country</option>
                @foreach($countries as $country)
                    <option value="{{ $country->id }}">{{ $country->name }}</option>
                @endforeach
              </select>
              @error('country')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
                <label for="state" class="col-form-label">State</label>
                <select id="state" name="state" class="form-control">

                </select>
              @error('state')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
                <label for="city" class="col-form-label">City</label>
                <select id="city" name="city" class="form-control">

                </select>
              @error('City')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
                <label for="zip_code"  class="col-form-label">Zip Code</label>
                <input type="text" id="zip_code" name="zip_code" class="form-control" placeholder="" value="{{$data?->zip_code}}">
                @error('zip_code')
                    <span class='text-danger'>{{$message}}</span>
                @enderror
            </div>
            <div class="form-group">
                <label for="street_address" class="col-form-label">Street Address</label>
                <textarea id="street_address" name="street_address" class="form-control" placeholder="House No, Road No, Block">{{$data?->street_address}}</textarea>
                @error('street_address')
                <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
          </div>
          <div class="col-md-12">
            <div class="form-group">
              <label for="short_des" class="col-form-label">Short Description <span class="text-danger">*</span></label>
              <textarea class="form-control" id="quote" name="short_des">{{$data?->short_des}}</textarea>
              @error('short_des')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>
            <div class="form-group">
              <label for="description" class="col-form-label">Description <span class="text-danger">*</span></label>
              <textarea class="form-control" id="description" name="description">{{$data?->description}}</textarea>
              @error('description')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>

            <div class="form-group">
              <label for="inputPhoto" class="col-form-label">Logo <span class="text-danger">*</span></label>
              <div class="input-group">
                  <span class="input-group-btn">
                      <a id="lfm1" data-input="thumbnail1" data-preview="holder1" class="btn btn-primary">
                      <i class="fa fa-picture-o"></i> Choose
                      </a>
                  </span>
              <input id="thumbnail1" class="form-control" type="text" name="logo" value="{{$data?->logo}}">
            </div>
            <div id="holder1" style="margin-top:15px;max-height:100px;"></div>

              @error('logo')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>

            <div class="form-group">
              <label for="inputPhoto" class="col-form-label">Photo <span class="text-danger">*</span></label>
              <div class="input-group">
                  <span class="input-group-btn">
                      <a id="lfm" data-input="thumbnail" data-preview="holder" class="btn btn-primary">
                      <i class="fa fa-picture-o"></i> Choose
                      </a>
                  </span>
              <input id="thumbnail" class="form-control" type="text" name="photo" value="{{$data?->photo}}">
            </div>
            <div id="holder" style="margin-top:15px;max-height:100px;"></div>

              @error('photo')
              <span class="text-danger">{{$message}}</span>
              @enderror
            </div>

          </div>
          <div class="col-md-12 text-center">
            <div class="form-group mb-3">
              <button class="btn btn-success" type="submit">Update</button>
           </div>
          </div>
        </div>
        {{-- @method('PATCH') --}}
        {{-- {{dd($data)}} --}}



      </form>
    </div>
</div>

@endsection

@push('styles')
<link rel="stylesheet" href="{{asset('backend/summernote/summernote.min.css')}}">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.1/css/bootstrap-select.css" />

@endpush
@push('scripts')
<script src="/vendor/laravel-filemanager/js/stand-alone-button.js"></script>
<script src="{{asset('backend/summernote/summernote.min.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.1/js/bootstrap-select.min.js"></script>

<script>
    $('#lfm').filemanager('image');
    $('#lfm1').filemanager('image');
    $(document).ready(function() {
    $('#summary').summernote({
      placeholder: "Write short description.....",
        tabsize: 2,
        height: 150
    });
    });

    $(document).ready(function() {
      $('#quote').summernote({
        placeholder: "Write short Quote.....",
          tabsize: 2,
          height: 100
      });
    });
    $(document).ready(function() {
      $('#description').summernote({
        placeholder: "Write detail description.....",
          tabsize: 2,
          height: 150
      });
    });
    $(document).ready(function(){

        $('#country').val("{{$data?->country}}");
        let stateId="{{$data?->state}}";
        let cityId="{{$data?->city}}";
        GetStates("{{$data?->country}}",stateId);
        GetCity(stateId,cityId);

        $('#country').change(function(){
            GetStates($(this).val());
        });

        $('#state').change(function() {
            GetCity($(this).val());
        });
    })
    function GetStates(countryId,selected=null){
        if (countryId) {

            $.ajax({
                url: `/countries/${countryId}/states`,
                type: 'GET',
                dataType: 'json',
                success: (data)=> {
                    $('#state').empty().append('<option value="">Select State</option>');
                    let states=data.map(x=>`<option value="${x?.id}" ${x?.id==selected?"selected":""}>${x?.name}</option>`);
                    $('#state').append(states);
                }
            });
        } else {
            $('#state').empty();
            $('#state').append('<option value="">Select State</option>');
        }
    }
    function GetCity(stateId,selected=null){
        if (stateId) {
            console.log(selected);
              $.ajax({
                  url: `/states/${stateId}/cities`,
                  type: 'GET',
                  dataType: 'json',
                  success: (data)=> {
                      $('#city').empty();
                      $('#city').append('<option value="">Select City</option>');
                      let city=data.map(x=>`<option value="${x?.id}" ${x?.id==selected?"selected":""}>${x?.name}</option>`);
                      $('#city').append(city);
                }
              });
          } else {
              $('#city').empty();
              $('#city').append('<option value="">Select City</option>');
          }
    }
</script>
@endpush
