@extends('frontend.layouts.master')

@section('main-content')
    <!-- Breadcrumbs -->
    <div class="breadcrumbs">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="bread-inner">
                        <ul class="bread-list">
                            <li><a href="{{ route('home') }}">Home<i class="ti-arrow-right"></i></a></li>
                            <li class="active"><a href="javascript:void(0);">Contact</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Breadcrumbs -->

    <!-- Start Contact -->
    <section id="contact-us" class="contact-us section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-sm-8 col-md-6 col-lg-4 centered-form">
                    <div class="input-group mb-5">
                        <input type="text" class="form-control" placeholder="Enter tracking number" id="trackNumber">
                        <div class="input-group-append">
                            <button class="btn btn-primary" type="button" id="track">Track Now</button>
                        </div>
                    </div>
                </div>
            </div>
            <div id="loader" class="loader-overlay" style="display: none;">
                <div class="loader"></div>
            </div>
            <div class="contact-head d-none">
                <div class="invoice-container">
                    <div class="invoice-header">
                        <h2>Tracking Details</h2>
                    </div>
                    <div class="invoice-body confirmation_part">
                        <div class="row">
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Status:</label>
                                    <span id="status" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Dropoff Deadline:</label>
                                    <span id="dropoff_deadline" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Name:</label>
                                    <span id="name" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Phone:</label>
                                    <span id="phone" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Street Address:</label>
                                    <span id="street_address" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Zip Code:</label>
                                    <span id="zip_code" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>City:</label>
                                    <span id="city" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>State:</label>
                                    <span id="state" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-lg-6 col-12">
                                <div class="form-group">
                                    <label>Country:</label>
                                    <span id="country" class="invoice-detail"></span>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group d-flex justify-content-center">
                                    <a id="tracking_url" class="btn btn-info" href="YOUR_URL_HERE" target="_blank">Live Uber Track Now</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>
    <!--/ End Contact -->
@endsection

@push('styles')
<style>
    .invoice-container {
        padding: 20px;
        border: 1px solid #ddd;
        border-radius: 5px;
        max-width: 600px;
        margin: 0 auto;
    }

    .invoice-header {
        text-align: center;
        margin-bottom: 20px;
    }

    .invoice-body {
        padding: 20px;
        border-top: 1px solid #ddd;
    }

    .form-group {
        margin-bottom: 15px;
    }

    label {
        font-weight: bold;
    }

    .invoice-detail {
        display: block;
        padding: 5px 0;
    }

    .btn-info {
        background-color: #17a2b8;
        color: white;
        padding: 5px 10px;
        border-radius: 3px;
        text-decoration: none;
        display: inline-block;
    }

    .btn-info:hover {
        background-color: #138496;
    }

    .loader-overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.8);
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 9999;
        }

        .loader {
            width: 50px;
            height: 50px;
            border: 6px solid #f3f3f3; /* Light grey */
            border-top: 6px solid #3498db; /* Blue */
            border-radius: 50%;
            animation: spin 1s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
</style>
@endpush
@push('scripts')
    <script src="{{ asset('frontend/js/jquery.form.js') }}"></script>
    <script src="{{ asset('frontend/js/jquery.validate.min.js') }}"></script>
    <script src="{{ asset('frontend/js/contact.js') }}"></script>
    <script>
        function formatDate(isoString) {
            if (!isoString) return "No deadline available";

            const date = new Date(isoString);
            const options = {
                year: 'numeric',
                month: 'short',
                day: 'numeric',
                hour: 'numeric',
                minute: 'numeric',
                hour12: true,
                timeZone: 'UTC'
            };

            return new Intl.DateTimeFormat('en-US', options).format(date);
        }
        $(document).ready(function() {
            $('#track').click(function() {
                $(".invoice-detail").text('');
                $("#tracking_url").attr('href', '#').text('Live Uber Track Now');
                // $("#loader").html(`<div class="spinner-border text-primary" role="status"><span class="sr-only">Loading...</span></div>`);
                $("#loader").show();
                $('.contact-head').removeClass('d-none');
                let id = $('#trackNumber').val()?.trim();
                $.ajax({
                    url: `/deliveries/${id}`,
                    type: "get",
                    dataType: "json",
                    success: (data) => {
                        if (data) {
                            $("#status").text(data?.status);
                            $("#dropoff_deadline").text(formatDate(data?.dropoff_deadline));
                            $("#name").text(data?.dropoff?.name);
                            $("#phone").text(data?.dropoff?.phone_number);
                            $("#street_address").text(data?.dropoff?.detailed_address
                                ?.street_address_1);
                            $("#zip_code").text(data?.dropoff?.detailed_address?.zip_code);
                            $("#city").text(data?.dropoff?.detailed_address?.city);
                            $("#state").text(data?.dropoff?.detailed_address?.state);
                            $("#country").text(data?.dropoff?.detailed_address?.country);
                            $("#tracking_url").attr('href', data?.tracking_url);
                        } else {
                            $("#status").text('No Data found!');
                        }
                        $("#loader").hide();
                    },
                    error: (jqXHR, textStatus, errorThrown) => {
                        // console.error('Error:', textStatus, errorThrown);
                        // console.error('Full jqXHR object:', jqXHR);
                        // if (jqXHR.responseJSON && jqXHR.responseJSON.error) {
                        //     console.error('Server error message:', jqXHR.responseJSON.error);
                        // }
                        // $("#status").text(jqXHR.responseJSON.error ?? 'Failed to load data.');
                        $("#status").text('No delivery items found on this tracking number.');
                        $("#loader").hide();
                    }
                });
            });
        });
    </script>
@endpush
